## mycompiler.mystatement
Class NewArray

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.NewArray

All Implemented Interfaces:
  ITypeReplacementListener

    public class NewArray

extends Expr

Field Summary

Fields inherited from class mycompiler.mystatement.Expr
`usedid`

Constructor Summary
`NewArray()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`int` `get_codegen_Array_Type()`
`java.lang.String` `get_Name()`
`Type` `getType()` Author: J�rg B�uerle
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable bh, java.util.Hashtable ch, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `setType(Type type)` Author: J�rg B�uerle
`CTripleSet` `TRExp(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.32 von Martin Pl�micke Author: J�rg B�uerle
`CTripleSet` `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getTypeLineNumber, getTypeName, replaceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewArray

    public NewArray()

Method Detail

### getType

    public Type getType()

  Author: J�rg B�uerle

  Overrides:
    `getType` in class `ExprStmt`
  Returns:
    Returns the type.

### setType

    public void setType(Type type)

  Author: J�rg B�uerle

  Overrides:
    `setType` in class `ExprStmt`
  Parameters:
    `type` - The type to set.

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable bh,
                         java.util.Hashtable ch,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)

  Specified by:
    `sc_check` in class `Expr`

### get_codegen_Array_Type

    public int get_codegen_Array_Type()
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRExp

    public CTripleSet TRExp(CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung des Algorithmus 5.32 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRExp` in class `Expr`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Specified by:
    `TRStatement` in class `Statement`